Package org.eclipse.birt.chart.model.impl

# Class ChartWithoutAxesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.impl.ChartImpl
org.eclipse.birt.chart.model.impl.ChartWithoutAxesImpl

All Implemented Interfaces:
  `Chart`, `ChartWithoutAxes`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

Direct Known Subclasses:
  `DialChartImpl`

public class ChartWithoutAxesImpl extends ChartImpl implements ChartWithoutAxes
An implementation of the model object 'Chart Without Axes'.

The following features are implemented:

- `Series Definitions`
- `Min Slice`
- `Min Slice Percent`
- `Min Slice Label`
- `Coverage`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.birt.chart.model.Chart

`VERSION`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`final void`
`clearSections(int iSectionType)`
This method walks through the model and clears specific model sections that are not required at deployment time.
`ChartWithoutAxes`
`copyInstance()`
`static ChartWithoutAxes`
`create()`
A convenience method to create an initialized 'ChartWithoutAxes' instance
`static ChartWithoutAxes`
`createDefault()`
A convenience method to create an initialized 'ChartWithoutAxes' instance
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`double`
`getCoverage()`
`double`
`getMinSlice()`
`String`
`getMinSliceLabel()`
`final Series[]`
`getRunTimeSeries()`
`org.eclipse.emf.common.util.EList<SeriesDefinition>`
`getSeriesDefinitions()`
`boolean`
`isMinSlicePercent()`
`boolean`
`isSetCoverage()`
`boolean`
`isSetMinSlice()`
`boolean`
`isSetMinSlicePercent()`
`final void`
`recursivelyGetSeries(org.eclipse.emf.common.util.EList<SeriesDefinition> elSDs, ArrayList<Series> al, int iLevel, int iLevelToOmit)`
Walks down the series definition tree and retrieves all runtime series.
`void`
`setCoverage(double newCoverage)`
`void`
`setDimension(ChartDimension newDimension)`
Set pie chart dimension type.
`void`
`setMinSlice(double newMinSlice)`
`void`
`setMinSliceLabel(String newMinSliceLabel)`
`void`
`setMinSlicePercent(boolean newMinSlicePercent)`
`void`
`setType(String newType)`
`String`
`toString()`
`void`
`unsetCoverage()`
`void`
`unsetMinSlice()`
`void`
`unsetMinSlicePercent()`

### Methods inherited from class org.eclipse.birt.chart.model.impl.ChartImpl

`basicSetBlock, basicSetDescription, basicSetEmptyMessage, basicSetInteractivity, basicSetSampleData, createSampleRuntimeSeries, getBlock, getDescription, getDimension, getEmptyMessage, getExtendedProperties, getGridColumnCount, getInteractivity, getLegend, getPlot, getSampleData, getScript, getSeriesForLegend, getSeriesThickness, getStyles, getSubType, getTitle, getType, getUnits, getVersion, isSetDimension, isSetGridColumnCount, isSetSeriesThickness, isSetVersion, setBlock, setDescription, setEmptyMessage, setGridColumnCount, setInteractivity, setSampleData, setScript, setSeriesThickness, setSubType, setUnits, setVersion, unsetDimension, unsetGridColumnCount, unsetSeriesThickness, unsetVersion`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.birt.chart.model.Chart

`createSampleRuntimeSeries, getBlock, getDescription, getDimension, getEmptyMessage, getExtendedProperties, getGridColumnCount, getInteractivity, getLegend, getPlot, getSampleData, getScript, getSeriesForLegend, getSeriesThickness, getStyles, getSubType, getTitle, getType, getUnits, getVersion, isSetDimension, isSetGridColumnCount, isSetSeriesThickness, isSetVersion, setBlock, setDescription, setEmptyMessage, setGridColumnCount, setInteractivity, setSampleData, setScript, setSeriesThickness, setSubType, setUnits, setVersion, unsetDimension, unsetGridColumnCount, unsetSeriesThickness, unsetVersion`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getSeriesDefinitions

public org.eclipse.emf.common.util.EList<SeriesDefinition> getSeriesDefinitions()

Specified by:
  `getSeriesDefinitions` in interface `ChartWithoutAxes`
Returns:
  the value of the 'Series Definitions' containment reference list.
See Also:
  - `ModelPackage.getChartWithoutAxes_SeriesDefinitions()`

### getMinSlice

public double getMinSlice()

Specified by:
  `getMinSlice` in interface `ChartWithoutAxes`
Returns:
  the value of the 'Min Slice' attribute.
See Also:
  - `ChartWithoutAxes.isSetMinSlice()`
  - `ChartWithoutAxes.unsetMinSlice()`
  - `ChartWithoutAxes.setMinSlice(double)`
  - `ModelPackage.getChartWithoutAxes_MinSlice()`

### setMinSlice

public void setMinSlice(double newMinSlice)

Specified by:
  `setMinSlice` in interface `ChartWithoutAxes`
Parameters:
  `newMinSlice` - the new value of the 'Min Slice' attribute.
See Also:
  - `ChartWithoutAxes.isSetMinSlice()`
  - `ChartWithoutAxes.unsetMinSlice()`
  - `ChartWithoutAxes.getMinSlice()`

### unsetMinSlice

public void unsetMinSlice()

Specified by:
  `unsetMinSlice` in interface `ChartWithoutAxes`
See Also:
  - `ChartWithoutAxes.isSetMinSlice()`
  - `ChartWithoutAxes.getMinSlice()`
  - `ChartWithoutAxes.setMinSlice(double)`

### isSetMinSlice

public boolean isSetMinSlice()

Specified by:
  `isSetMinSlice` in interface `ChartWithoutAxes`
Returns:
  whether the value of the 'Min Slice' attribute is set.
See Also:
  - `ChartWithoutAxes.unsetMinSlice()`
  - `ChartWithoutAxes.getMinSlice()`
  - `ChartWithoutAxes.setMinSlice(double)`

### isMinSlicePercent

public boolean isMinSlicePercent()

Specified by:
  `isMinSlicePercent` in interface `ChartWithoutAxes`
Returns:
  the value of the 'Min Slice Percent' attribute.
See Also:
  - `ChartWithoutAxes.isSetMinSlicePercent()`
  - `ChartWithoutAxes.unsetMinSlicePercent()`
  - `ChartWithoutAxes.setMinSlicePercent(boolean)`
  - `ModelPackage.getChartWithoutAxes_MinSlicePercent()`

### setMinSlicePercent

public void setMinSlicePercent(boolean newMinSlicePercent)

Specified by:
  `setMinSlicePercent` in interface `ChartWithoutAxes`
Parameters:
  `newMinSlicePercent` - the new value of the 'Min Slice Percent' attribute.
See Also:
  - `ChartWithoutAxes.isSetMinSlicePercent()`
  - `ChartWithoutAxes.unsetMinSlicePercent()`
  - `ChartWithoutAxes.isMinSlicePercent()`

### unsetMinSlicePercent

public void unsetMinSlicePercent()

Specified by:
  `unsetMinSlicePercent` in interface `ChartWithoutAxes`
See Also:
  - `ChartWithoutAxes.isSetMinSlicePercent()`
  - `ChartWithoutAxes.isMinSlicePercent()`
  - `ChartWithoutAxes.setMinSlicePercent(boolean)`

### isSetMinSlicePercent

public boolean isSetMinSlicePercent()

Specified by:
  `isSetMinSlicePercent` in interface `ChartWithoutAxes`
Returns:
  whether the value of the 'Min Slice Percent' attribute is set.
See Also:
  - `ChartWithoutAxes.unsetMinSlicePercent()`
  - `ChartWithoutAxes.isMinSlicePercent()`
  - `ChartWithoutAxes.setMinSlicePercent(boolean)`

### getMinSliceLabel

public String getMinSliceLabel()

Specified by:
  `getMinSliceLabel` in interface `ChartWithoutAxes`
Returns:
  the value of the 'Min Slice Label' attribute.
See Also:
  - `ChartWithoutAxes.setMinSliceLabel(String)`
  - `ModelPackage.getChartWithoutAxes_MinSliceLabel()`

### setMinSliceLabel

public void setMinSliceLabel(String newMinSliceLabel)

Specified by:
  `setMinSliceLabel` in interface `ChartWithoutAxes`
Parameters:
  `newMinSliceLabel` - the new value of the 'Min Slice Label' attribute.
See Also:
  - `ChartWithoutAxes.getMinSliceLabel()`

### getCoverage

public double getCoverage()

Specified by:
  `getCoverage` in interface `ChartWithoutAxes`
Returns:
  the value of the 'Coverage' attribute.
See Also:
  - `ChartWithoutAxes.isSetCoverage()`
  - `ChartWithoutAxes.unsetCoverage()`
  - `ChartWithoutAxes.setCoverage(double)`
  - `ModelPackage.getChartWithoutAxes_Coverage()`

### setCoverage

public void setCoverage(double newCoverage)

Specified by:
  `setCoverage` in interface `ChartWithoutAxes`
Parameters:
  `newCoverage` - the new value of the 'Coverage' attribute.
See Also:
  - `ChartWithoutAxes.isSetCoverage()`
  - `ChartWithoutAxes.unsetCoverage()`
  - `ChartWithoutAxes.getCoverage()`

### unsetCoverage

public void unsetCoverage()

Specified by:
  `unsetCoverage` in interface `ChartWithoutAxes`
See Also:
  - `ChartWithoutAxes.isSetCoverage()`
  - `ChartWithoutAxes.getCoverage()`
  - `ChartWithoutAxes.setCoverage(double)`

### isSetCoverage

public boolean isSetCoverage()

Specified by:
  `isSetCoverage` in interface `ChartWithoutAxes`
Returns:
  whether the value of the 'Coverage' attribute is set.
See Also:
  - `ChartWithoutAxes.unsetCoverage()`
  - `ChartWithoutAxes.getCoverage()`
  - `ChartWithoutAxes.setCoverage(double)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `ChartImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `ChartImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `ChartImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `ChartImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `ChartImpl`

### toString

public String toString()

Overrides:
  `toString` in class `ChartImpl`

### create

public static ChartWithoutAxes create()
A convenience method to create an initialized 'ChartWithoutAxes' instance

Returns:
  chart model

### createDefault

public static ChartWithoutAxes createDefault()
A convenience method to create an initialized 'ChartWithoutAxes' instance

Returns:
  chart model

### getRunTimeSeries

public final Series[] getRunTimeSeries()

Specified by:
  `getRunTimeSeries` in interface `ChartWithoutAxes`
Returns:

### recursivelyGetSeries

public final void recursivelyGetSeries(org.eclipse.emf.common.util.EList<SeriesDefinition> elSDs, ArrayList<Series> al, int iLevel, int iLevelToOmit)
Walks down the series definition tree and retrieves all runtime series.

Parameters:
  `elSDs` -
  `al` -
  `iLevel` -

### clearSections

public final void clearSections(int iSectionType)
Description copied from interface: `Chart`
This method walks through the model and clears specific model sections that are not required at deployment time.

Specified by:
  `clearSections` in interface `Chart`
Overrides:
  `clearSections` in class `ChartImpl`
Parameters:
  `iSectionType` - Possible values are IConstants.RUN_TIME and IConstants.USER_INTERFACE

### copyInstance

public ChartWithoutAxes copyInstance()

Specified by:
  `copyInstance` in interface `Chart`
Specified by:
  `copyInstance` in interface `ChartWithoutAxes`
Specified by:
  `copyInstance` in interface `IChartObject`
Overrides:
  `copyInstance` in class `ChartImpl`

### setDimension

public void setDimension(ChartDimension newDimension)
Set pie chart dimension type.

Specified by:
  `setDimension` in interface `Chart`
Overrides:
  `setDimension` in class `ChartImpl`
Parameters:
  `newDimension` - the new value of the 'Dimension' attribute.
See Also:
  - `ChartDimension`
  - `Chart.isSetDimension()`
  - `Chart.unsetDimension()`
  - `Chart.getDimension()`

### setType

public void setType(String newType)
Description copied from class: `ChartImpl`

Specified by:
  `setType` in interface `Chart`
Overrides:
  `setType` in class `ChartImpl`
Parameters:
  `newType` - the new value of the 'Type' attribute.
See Also:
  - `Chart.getType()`